summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2015-09-24 18:50:38 +0200
committerDavide Pesavento <pesa@gentoo.org>2015-09-24 18:50:38 +0200
commit90571f78e8d2fc24aa6d34051a36edde7ddb1efc (patch)
treec9ab11f5e7790240330b6c438c73a8775b5427a8 /eclass
parentdev-libs/purpose: new package (diff)
downloadgentoo-90571f78e8d2fc24aa6d34051a36edde7ddb1efc.tar.gz
gentoo-90571f78e8d2fc24aa6d34051a36edde7ddb1efc.tar.bz2
gentoo-90571f78e8d2fc24aa6d34051a36edde7ddb1efc.zip
qt5-build.eclass: initial support for Qt 5.6 and 5.7 (dev branch)
Signed-off-by: Davide Pesavento <pesa@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt5-build.eclass9
1 files changed, 4 insertions, 5 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index cd4571a56785..66ba82916989 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -544,6 +544,7 @@ qt5_base_configure() {
# disable everything to prevent automagic deps (part 1)
-no-mtdev
-no-journald
+ $([[ ${QT5_MINOR_VERSION} -ge 6 ]] && echo -no-syslog)
-no-libpng -no-libjpeg
-no-freetype -no-harfbuzz
-no-openssl
@@ -559,10 +560,7 @@ qt5_base_configure() {
# disable everything to prevent automagic deps (part 2)
-no-pulseaudio -no-alsa
-
- # override in qtgui and qtwidgets where x11-libs/cairo[qt4] is blocked
- # to avoid adding qt4 include paths (bug 433826)
- -no-gtkstyle
+ $([[ ${QT5_MINOR_VERSION} -ge 7 ]] && echo -no-gtk || echo -no-gtkstyle)
# exclude examples and tests from default build
-nomake examples
@@ -606,7 +604,8 @@ qt5_base_configure() {
#-use-gold-linker
# disable all platform plugins by default, override in qtgui
- -no-xcb -no-eglfs -no-directfb -no-linuxfb -no-kms
+ -no-xcb -no-eglfs -no-kms -no-directfb -no-linuxfb
+ $([[ ${QT5_MINOR_VERSION} -ge 6 ]] && echo -no-mirclient)
# disable undocumented X11-related flags, override in qtgui
# (not shown in ./configure -help output)